/// <reference types="@udacity/types-service-worker-mock" />
import '@udacity/types-service-worker-mock/global';
import { EnvOptions } from 'service-worker-mock';
import { CloudflareWorkerGlobalKVPatch, CloudflareWorkerGlobalScopePatch, MockCloudflareRequestInit } from 'types-cloudflare-worker';
/**
 * Create a mock environment for a Cloudflare Worker with a mockable cache layer.
 */
export declare function makeCloudflareWorkerEnv(envOptions?: EnvOptions): CloudflareWorkerGlobalScopePatch;
/**
 * Create a mock KV for a Cloudflare Worker
 */
export declare function makeCloudflareWorkerKVEnv(name: string): CloudflareWorkerGlobalKVPatch;
/**
 * Create a mock Request for a Cloudflare Worker
 *
 * A CloudflareRequestAttributes object can be created manually, but it requires
 * the developer to specify every field. This helper function allows the
 * developer to specify only fields required by tests.
 */
export declare function makeCloudflareWorkerRequest(input: RequestInfo, init?: MockCloudflareRequestInit): Request;
export default makeCloudflareWorkerEnv;
